Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
pykde4-4.5 won't build
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Fri Aug 13, 2010 4:52 am    Post subject: pykde4-4.5 won't build Reply with quote

Hi all, I tried to compile pykde4-4.5 but it won't do it, due to some sip errors :

Code:
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0_build"
make -j7
[  1%] [  2%] [  3%] Scanning dependencies of target compile_python_files
Generating sip/dnssd/sipdnssdpart0.cpp, sip/dnssd/sipdnssdpart1.cpp, sip/dnssd/sipdnssdpart2.cpp, sip/dnssd/sipdnssdpart3.cpp, sip/dnssd/sipdnssdpart4.cpp, sip/dnssd/sipdnssdpart5.cpp, sip/dnssd/sipdnssdpart6.cpp, sip/dnssd/sipdnssdpart7.cpp
[  4%] Generating sip/kdecore/sipkdecorepart0.cpp, sip/kdecore/sipkdecorepart1.cpp, sip/kdecore/sipkdecorepart2.cpp, sip/kdecore/sipkdecorepart3.cpp, sip/kdecore/sipkdecorepart4.cpp, sip/kdecore/sipkdecorepart5.cpp, sip/kdecore/sipkdecorepart6.cpp, sip/kdecore/sipkdecorepart7.cpp
Generating sip/akonadi/sipakonadipart0.cpp, sip/akonadi/sipakonadipart1.cpp, sip/akonadi/sipakonadipart2.cpp, sip/akonadi/sipakonadipart3.cpp, sip/akonadi/sipakonadipart4.cpp, sip/akonadi/sipakonadipart5.cpp, sip/akonadi/sipakonadipart6.cpp, sip/akonadi/sipakonadipart7.cpp
[  4%] [  4%]
Generating sip/khtml/sipkhtmlpart0.cpp, sip/khtml/sipkhtmlpart1.cpp, sip/khtml/sipkhtmlpart2.cpp, sip/khtml/sipkhtmlpart3.cpp, sip/khtml/sipkhtmlpart4.cpp, sip/khtml/sipkhtmlpart5.cpp, sip/khtml/sipkhtmlpart6.cpp, sip/khtml/sipkhtmlpart7.cpp



Generating sip/kdeui/sipkdeuipart0.cpp, sip/kdeui/sipkdeuipart1.cpp, sip/kdeui/sipkdeuipart2.cpp, sip/kdeui/sipkdeuipart3.cpp, sip/kdeui/sipkdeuipart4.cpp, sip/kdeui/sipkdeuipart5.cpp, sip/kdeui/sipkdeuipart6.cpp, sip/kdeui/sipkdeuipart7.cpp
Generating sip/kio/sipkiopart0.cpp, sip/kio/sipkiopart1.cpp, sip/kio/sipkiopart2.cpp, sip/kio/sipkiopart3.cpp, sip/kio/sipkiopart4.cpp, sip/kio/sipkiopart5.cpp, sip/kio/sipkiopart6.cpp, sip/kio/sipkiopart7.cpp
[  4%] Built target compile_python_files
[  5%] Generating sip/knewstuff/sipknewstuffpart0.cpp, sip/knewstuff/sipknewstuffpart1.cpp, sip/knewstuff/sipknewstuffpart2.cpp, sip/knewstuff/sipknewstuffpart3.cpp, sip/knewstuff/sipknewstuffpart4.cpp, sip/knewstuff/sipknewstuffpart5.cpp, sip/knewstuff/sipknewstuffpart6.cpp, sip/knewstuff/sipknewstuffpart7.cpp

sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/kdecore/sipkdecorepart0.cpp] Erreur 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/all] Erreur 2
make[1]: *** Attente des tâches non terminées....
sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/dnssd/sipdnssdpart0.cpp] Erreur 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_dnssd.dir/all] Erreur 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/knewstuff/sipknewstuffpart0.cpp] Erreur 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_knewstuff.dir/all] Erreur 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/khtml/sipkhtmlpart0.cpp] Erreur 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_khtml.dir/all] Erreur 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/kio/sipkiopart0.cpp] Erreur 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kio.dir/all] Erreur 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/kdeui/sipkdeuipart0.cpp] Erreur 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdeui.dir/all] Erreur 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/akonadi/sipakonadipart0.cpp] Erreur 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_akonadi.dir/all] Erreur 2
make: *** [all] Erreur 2


I tried to recompile sip, PyQt4 and the whole Qt stuf... but it did nothing : help please ! ;)

Thank you all for your help...
_________________
Laptop : XPS M1330/Core2 T9300 - 2.50Ghz/2Go Ram - DDR2/250Go 7200TPM/nVidia 9200GS/Led Screen
-----
Desktop : Gygabyte EX58-UD3R/Core i7 920 2.67Ghz/3Go Ram - DDR3/WD 1To - 7200TPM - 32Mo Cache/ATI HD4850 - 1Go Ram


Last edited by earendilion on Sat Aug 14, 2010 8:40 am; edited 2 times in total
Back to top
View user's profile Send private message
arnvidr
Guru
Guru


Joined: 19 Aug 2004
Posts: 595
Location: Oslo, Norway

PostPosted: Fri Aug 13, 2010 2:50 pm    Post subject: Reply with quote

If you didn't already, maybe rebuilding kdecore, otherwise you should try running python-updater and see if it rebuilds anything.
_________________
Noone wrote:
anything
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Fri Aug 13, 2010 9:27 pm    Post subject: Reply with quote

Hi arnvidr. Thank you for the help.

I've already recompiled kdecore... but it did nothing.

I tried to launch python-updater, but got this :

Code:
 * Starting Python Updater...
 * Main active version of Python:  2.6
 * Active version of Python 2:     2.6
 * Active version of Python 3:     (None)
 *   Adding to list: dev-libs/boost:1.37
 *     check: manual [Added to list manually, see CHECKS in manpage for more information.]
 *   Adding to list: dev-libs/boost:1.39
 *     check: manual [Added to list manually, see CHECKS in manpage for more information.]
 *   Adding to list: dev-libs/boost:1.41
 *     check: manual [Added to list manually, see CHECKS in manpage for more information.]
 *   Adding to list: dev-libs/boost:1.42
 *     check: manual [Added to list manually, see CHECKS in manpage for more information.]
Traceback (most recent call last):
  File "<string>", line 10, in <module>
  File "/usr/lib64/portage/pym/portage/dbapi/porttree.py", line 1004, in match
    return self.xmatch("match-visible", mydep)
  File "/usr/lib64/portage/pym/portage/dbapi/porttree.py", line 899, in xmatch
    mydep = dep_expand(origdep, mydb=self, settings=self.settings)
  File "/usr/lib64/portage/pym/portage/proxy/objectproxy.py", line 31, in __call__
    return result(*args, **kwargs)
  File "/usr/lib64/portage/pym/portage/dbapi/dep_expand.py", line 33, in dep_expand
    mydep = Atom(mydep)
  File "/usr/lib64/portage/pym/portage/dep/__init__.py", line 647, in __init__
    raise InvalidAtom(self)
portage.exception.InvalidAtom: dev-python/-MERGING-setuptools:0


For now, I'm trying to recompile python...

[EDIT] I unmerge every kdebase related package... and now it's akonadi-server which doesn't want to merge, due to some boost related errors oO
_________________
Laptop : XPS M1330/Core2 T9300 - 2.50Ghz/2Go Ram - DDR2/250Go 7200TPM/nVidia 9200GS/Led Screen
-----
Desktop : Gygabyte EX58-UD3R/Core i7 920 2.67Ghz/3Go Ram - DDR3/WD 1To - 7200TPM - 32Mo Cache/ATI HD4850 - 1Go Ram
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Fri Aug 13, 2010 10:26 pm    Post subject: Reply with quote

Here is the error I get trying to merge akonadi-server :

Code:
Generating expunge.moc
/var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/rds/bridgeconnection.cpp: In member function ‘virtual void DBusBridgeConnection::connectLocal()’:
/var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/rds/bridgeconnection.cpp:84: erreur: invalid use of incomplete type ‘struct QNoDebug’
/usr/include/qt4/QtCore/qglobal.h:1633: erreur: forward declaration of ‘struct QNoDebug’
/var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/rds/bridgeconnection.cpp:93: attention : unused variable ‘result’
/usr/include/qt4/QtCore/qglobal.h: At global scope:
/usr/include/qt4/QtCore/qglobal.h:1639: attention : inline function ‘QNoDebug qDebug()’ used but never defined
make[2]: *** [rds/CMakeFiles/akonadi_rds.dir/bridgeconnection.cpp.o] Erreur 1
make[1]: *** [rds/CMakeFiles/akonadi_rds.dir/all] Erreur 2
make[1]: *** Attente des tâches non terminées....
[ 22%] Building CXX object server/akonadictl/CMakeFiles/akonadictl.dir/main.cpp.o
Scanning dependencies of target akonadi_control
Generating notificationcollector.moc
Generating datastore.moc
[ 22%] Building CXX object server/akonadictl/CMakeFiles/akonadictl.dir/controlmanagerinterface.cpp.o
Generating tracer.moc
Generating login.moc
Generating status.moc
Generating akappend.moc
Generating delete.moc
Dans le fichier inclus à partir de /var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akapplication.h:26,
          à partir de /var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akapplication.cpp:20:
/usr/include/boost-1_42/boost/program_options.hpp:11:5: attention : « _MSC_VER » n'est pas défini
Generating remove.moc
Generating store.moc
Dans le fichier inclus à partir de /var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akapplication.h:26,
          à partir de /var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/akonadictl/main.cpp:32:
/usr/include/boost-1_42/boost/program_options.hpp:11:5: attention : « _MSC_VER » n'est pas défini
Generating list.moc
Generating subscribe.moc
Generating handler.moc
Generating capability.moc
Generating colcopy.moc
/var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akdebug.cpp: In member function ‘QDebug DebugPrivate::stream(QtMsgType)’:
/var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akdebug.cpp:103: erreur: expected primary-expression before ‘while’
/var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akdebug.cpp:103: erreur: expected ‘;’ before ‘while’
make[2]: *** [server/akonadictl/CMakeFiles/akonadictl.dir/__/shared/akdebug.cpp.o] Erreur 1
make[2]: *** Attente des tâches non terminées....
Generating searchpersistent.moc
Generating select.moc
Generating cachecleaner.moc
Generating akonadiconnection.moc
Generating search.moc
Generating moc_preprocessorinstance.cpp
Generating moc_fetch.cpp
Generating moc_fetchhelper.cpp
Generating moc_preprocessormanager.cpp
[ 22%] Built target akonadiprivate_automoc
make[1]: *** [server/akonadictl/CMakeFiles/akonadictl.dir/all] Erreur 2
[ 22%] [ 22%] [ 23%] Building CXX object server/control/CMakeFiles/akonadi_control.dir/akonadi_control_automoc.cpp.o
[ 23%] [ 24%] [ 24%] Building CXX object server/control/CMakeFiles/akonadi_control.dir/__/shared/akapplication.cpp.o
Building CXX object server/control/CMakeFiles/akonadi_control.dir/__/shared/akdebug.cpp.o
[ 25%] Building CXX object server/control/CMakeFiles/akonadi_control.dir/__/shared/akcrash.cpp.o
Building CXX object server/control/CMakeFiles/akonadi_control.dir/agentinstance.cpp.o
Building CXX object server/control/CMakeFiles/akonadi_control.dir/agenttype.cpp.o
Building CXX object server/control/CMakeFiles/akonadi_control.dir/agentmanager.cpp.o
[ 25%] Building CXX object server/control/CMakeFiles/akonadi_control.dir/controlmanager.cpp.o
[ 26%] Building CXX object server/control/CMakeFiles/akonadi_control.dir/main.cpp.o
[ 26%] Building CXX object server/control/CMakeFiles/akonadi_control.dir/processcontrol.cpp.o
[ 26%] Building CXX object server/control/CMakeFiles/akonadi_control.dir/agentmanageradaptor.cpp.o
Dans le fichier inclus à partir de /var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akapplication.h:26,
          à partir de /var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akapplication.cpp:20:
/usr/include/boost-1_42/boost/program_options.hpp:11:5: attention : « _MSC_VER » n'est pas défini
[ 27%] Building CXX object server/control/CMakeFiles/akonadi_control.dir/controlmanageradaptor.cpp.o
/var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akdebug.cpp: In member function ‘QDebug DebugPrivate::stream(QtMsgType)’:
/var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akdebug.cpp:103: erreur: expected primary-expression before ‘while’
/var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akdebug.cpp:103: erreur: expected ‘;’ before ‘while’
make[2]: *** [server/control/CMakeFiles/akonadi_control.dir/__/shared/akdebug.cpp.o] Erreur 1
make[2]: *** Attente des tâches non terminées....
Dans le fichier inclus à partir de /var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/shared/akapplication.h:26,
          à partir de /var/tmp/portage/app-office/akonadi-server-1.4.0/work/akonadi-1.4.0/server/control/main.cpp:23:
/usr/include/boost-1_42/boost/program_options.hpp:11:5: attention : « _MSC_VER » n'est pas défini
make[1]: *** [server/control/CMakeFiles/akonadi_control.dir/all] Erreur 2
make: *** [all] Erreur 2
/usr/lib64/portage/bin/ebuild-helpers/emake: line 26: helpers_die: command not found

_________________
Laptop : XPS M1330/Core2 T9300 - 2.50Ghz/2Go Ram - DDR2/250Go 7200TPM/nVidia 9200GS/Led Screen
-----
Desktop : Gygabyte EX58-UD3R/Core i7 920 2.67Ghz/3Go Ram - DDR3/WD 1To - 7200TPM - 32Mo Cache/ATI HD4850 - 1Go Ram
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sat Aug 14, 2010 7:50 am    Post subject: Reply with quote

Ok, so now, I unmerge the more KDE related packages I could find, to get a clean base : kdecore, kdemisc, kdemultimedia and all, qt stuff, some packages built with kde or qt support.

akonadi-server merged fine. But now it's kdelibs...

Code:
Linking CXX shared library ../lib/libkdeui.so
[ 40%] Built target kdeui
[ 40%] [ 40%] [ 40%] [ 40%] Generating ui_kcolorutilsdemo.h
Generating qrc_templates.cxx
Scanning dependencies of target proxymodeltestsuite
Generating qrc_kjscmd.cxx
Generating nuao.h, nuao.cpp
Scanning dependencies of target ktelnetservice
Scanning dependencies of target kmailservice
Could not find parser plugin for encoding trig
make[2]: *** [nepomuk/nuao.h] Erreur 1
make[1]: *** [nepomuk/CMakeFiles/nepomuk.dir/all] Erreur 2
make[1]: *** Attente des tâches non terminées....
Scanning dependencies of target kjscmd
Scanning dependencies of target nepomuk-rcgen
Scanning dependencies of target kcolorutilsdemo

_________________
Laptop : XPS M1330/Core2 T9300 - 2.50Ghz/2Go Ram - DDR2/250Go 7200TPM/nVidia 9200GS/Led Screen
-----
Desktop : Gygabyte EX58-UD3R/Core i7 920 2.67Ghz/3Go Ram - DDR3/WD 1To - 7200TPM - 32Mo Cache/ATI HD4850 - 1Go Ram


Last edited by earendilion on Sat Aug 14, 2010 8:20 am; edited 1 time in total
Back to top
View user's profile Send private message
xibo
Apprentice
Apprentice


Joined: 21 Aug 2007
Posts: 152
Location: moving between kubuntu and ubuntu kde edition

PostPosted: Sat Aug 14, 2010 7:55 am    Post subject: Reply with quote

nepomuk, which fails to build, can be avoided by disabling the semantic-desktop use flag and taking nepomuk out of the kdabase-runtime (?) build set.
i would suspect that emerge is either forgetting/not aware of some depedencies, or messing the build order though.
_________________
pjp wrote:
shickapooka800 wrote:
there are plenty of ubuntards in coffee shops around the globe these days.
Yes, but they're only smart enough to recognize they want to be popular, yet too stupid to recognize that it isn't a Mac.
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sat Aug 14, 2010 8:19 am    Post subject: Reply with quote

In fact, it was "soprano related" : I recompiled soprano, raptor, virtuoso-server and redland and it merged correctly ;)

I hope pykde4 will build now... let's see
_________________
Laptop : XPS M1330/Core2 T9300 - 2.50Ghz/2Go Ram - DDR2/250Go 7200TPM/nVidia 9200GS/Led Screen
-----
Desktop : Gygabyte EX58-UD3R/Core i7 920 2.67Ghz/3Go Ram - DDR3/WD 1To - 7200TPM - 32Mo Cache/ATI HD4850 - 1Go Ram
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sat Aug 14, 2010 8:39 am    Post subject: Reply with quote

Damn, pykde4 didn't merge... same error :(
_________________
Laptop : XPS M1330/Core2 T9300 - 2.50Ghz/2Go Ram - DDR2/250Go 7200TPM/nVidia 9200GS/Led Screen
-----
Desktop : Gygabyte EX58-UD3R/Core i7 920 2.67Ghz/3Go Ram - DDR3/WD 1To - 7200TPM - 32Mo Cache/ATI HD4850 - 1Go Ram
Back to top
View user's profile Send private message
Matteo Azzali
Retired Dev
Retired Dev


Joined: 23 Sep 2004
Posts: 1133

PostPosted: Sat Aug 14, 2010 9:27 am    Post subject: Reply with quote

Code:
Mapped type has already been defined in another module


Looks like you have another python module defining the same type pykde is trying to define,
so it looks definitely a python issue, do you have the latest PyQt4 version?
Is python-updater working fine now?
_________________
Every day a new distro comes to birth. Every day a distro "eats" another.
If you're born distro, no matter what, start to run.
---- http://www.linuxprinting.org/ ---- http://tuxmobil.org/
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sat Aug 14, 2010 9:30 am    Post subject: Reply with quote

Quote:
so it looks definitely a python issue, do you have the latest PyQt4 version?


Yes : dev-python/PyQt4-4.7.5_pre20100808

Quote:
Is python-updater working fine now


Unfortunately no... :'(
_________________
Laptop : XPS M1330/Core2 T9300 - 2.50Ghz/2Go Ram - DDR2/250Go 7200TPM/nVidia 9200GS/Led Screen
-----
Desktop : Gygabyte EX58-UD3R/Core i7 920 2.67Ghz/3Go Ram - DDR3/WD 1To - 7200TPM - 32Mo Cache/ATI HD4850 - 1Go Ram
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sat Aug 14, 2010 9:35 am    Post subject: Reply with quote

Found a bug about this issue : https://bugs.gentoo.org/show_bug.cgi?id=332503

I let a comment and my emerge --info on it...

[EDIT]

I thought a bit of configure info from cmake could help :

Code:
-- Found Akonadi: /usr/lib64/cmake/Akonadi/AkonadiConfig.cmake
CMake Warning at /usr/share/apps/cmake/modules/MacroOptionalFindPackage.cmake:32 (find_package):
  Could not find module FindOkular.cmake or a configuration file for package
  Okular.

  Adjust CMAKE_MODULE_PATH to find FindOkular.cmake or set Okular_DIR to the
  directory containing a CMake configuration file for Okular.  The file will
  have one of the following names:

    OkularConfig.cmake
    okular-config.cmake

Call Stack (most recent call first):
  CMakeLists.txt:45 (macro_optional_find_package)


-- Found PythonInterp: /usr/bin/python
-- Found Python executable: /usr/bin/python
-- Found Python version: 2.6.5
-- Found Python library: /usr/lib64/libpython2.6.so
-- Python Libraries: /usr/lib64/libpython2.6.so
-- Python Include Path: /usr/include/python2.6
-- Build Kross Python... yes
-- Found SIP version: 4.11-snapshot-052b642f04a8
-- Found PyQt4 version: snapshot-4.7.5-8a6793a155e0
-- Found Python executable: /usr/bin/python
-- Found Python version: 2.6.5
-- Found Python library: /usr/lib64/libpython2.6.so
-- Found PyQt4 version: snapshot-4.7.5-8a6793a155e0
-- KDE_VERSION: 4.5.00
-- KDE4_INCLUDE_DIR: /usr/include
-- KDE4_LIB_DIR: /usr/lib64
-- PYTHON_SITE_PACKAGES_DIR: /usr/lib64/python2.6/site-packages
-- Build PyKDE4... yes

-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
-----------------------------------------------------------------------------
   * libattica - LibAttica
   * QImageBlitz - QImageBlitz library
   * Phonon - Phonon multimedia framework
   * Soprano - Soprano libraries
   * Shared desktop ontologies - Desktop ontologies
   * Nepomuk - Nepomuk libraries
   * kdepimlibs - KDE PIM libraries
   * Akonadi - Akonadi libraries
   * Soprano - Soprano Libraries
   * Nepomuk - Nepomuk Libraries
   * Kdepimlibs - KDE pim Libraries

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * Qwt5 for Qt4  <http://qwt.sourceforge.net>
     Qwt5 libraries for Qt4
     Needed to compile Qwt5 bindings
   * QScintilla2  <http://www.riverbankcomputing.co.uk/software/qscintilla/intro>
     QScintilla2 libraries
     Needed to compile QScintilla2 bindings
   * Okular  <http://www.kde.org>
     Okular libraries
     Needed to compile Okular bindings
   * Polkit-Qt  <kdesupport>
     Qt Wrapper around PolicyKit
     Required to build PolicyKit-Qt support

_________________
Laptop : XPS M1330/Core2 T9300 - 2.50Ghz/2Go Ram - DDR2/250Go 7200TPM/nVidia 9200GS/Led Screen
-----
Desktop : Gygabyte EX58-UD3R/Core i7 920 2.67Ghz/3Go Ram - DDR3/WD 1To - 7200TPM - 32Mo Cache/ATI HD4850 - 1Go Ram
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sun Aug 15, 2010 10:06 pm    Post subject: Reply with quote

Ok, the problem with python-updater is solved... it rebuilt only boost... any idea ?
_________________
Laptop : XPS M1330/Core2 T9300 - 2.50Ghz/2Go Ram - DDR2/250Go 7200TPM/nVidia 9200GS/Led Screen
-----
Desktop : Gygabyte EX58-UD3R/Core i7 920 2.67Ghz/3Go Ram - DDR3/WD 1To - 7200TPM - 32Mo Cache/ATI HD4850 - 1Go Ram
Back to top
View user's profile Send private message
azp
Guru
Guru


Joined: 16 Nov 2003
Posts: 432
Location: Stockholm, Sweden

PostPosted: Sat Sep 04, 2010 11:50 am    Post subject: Reply with quote

I have this issue as well, which in turn stops me from installing Gnash (can't say that I really like that dependency...).

Any views on it? Any news?
_________________
Weeks of coding can save you hours of planning.
Back to top
View user's profile Send private message
azp
Guru
Guru


Joined: 16 Nov 2003
Posts: 432
Location: Stockholm, Sweden

PostPosted: Sat Sep 04, 2010 11:54 am    Post subject: Reply with quote

Seems like the bug is fixed now, just have to wait for it to hit portage or apply it myself.
_________________
Weeks of coding can save you hours of planning.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum